Subject: bug#40967: 27.0.50; vc-diff in indirect buffers

From: Nathan Moreau <[email-masked]>
Date: Thu, 9 Jul 2020 23:47:40 +0200

Hello,

Gentle ping. This can be rebased on whichever branch you like if it does
not apply cleanly (currently it is based on d6f6353cfdbbea for because it
happened to be checked-out locally).

Nathan

On Wed, 1 Jul 2020 at 02:19, Nathan Moreau <[email-masked]> wrote:

> Here is a new version of the patch, with support for most of the
> commands defined in vc.el.
>
> The support is not exhaustive as I was not able to make all commands work
> I did not succeed in testing all the commands: vc-delete-file and
> vc-rename-file are probably candidates next.
>
> Feedback is very welcome, I am not used to the contribution process on
> Emacs.
> Nathan
>
> On Wed, 17 Jun 2020 at 00:37, Dmitry Gutov <[email-masked]> wrote:
> >
> > On 16.06.2020 15:08, Phil Sainty wrote:
> > > Personally I'd be ok with seeing piecemeal changes to commands
> > > like these to enable certain common workflows to DTRT with
> > > indirect buffers.
> >
> > All right then.
> >
> > > I think there will likely be a subset of
> > > commands which are of higher value than others, and so there
> > > might not be such a vast number of things which are very useful
> > > to change in practice.
> >
> > IDK, seems like it wouldn't simplify the proposed patch. It's short
> > already anywa.
>